# CmdLine.h File Reference

`#include <tclap/SwitchArg.h>`
`#include <tclap/MultiSwitchArg.h>`
`#include <tclap/UnlabeledValueArg.h>`
`#include <tclap/UnlabeledMultiArg.h>`
`#include <tclap/XorHandler.h>`
`#include <tclap/HelpVisitor.h>`
`#include <tclap/VersionVisitor.h>`
`#include <tclap/IgnoreRestVisitor.h>`
`#include <tclap/CmdLineOutput.h>`
`#include <tclap/StdOutput.h>`
`#include <tclap/Constraint.h>`
`#include <tclap/ValuesConstraint.h>`
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <iostream>`
`#include <iomanip>`
`#include <algorithm>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes
class | TCLAP::CmdLine
| The base class that manages the command line definition and passes along the parsing to the appropriate Arg classes. More...
## Namespaces
namespace | TCLAP
## Functions
template<typename T >
void | TCLAP::DelPtr (T ptr)
template<typename C >
void | TCLAP::ClearContainer (C &c)